.error-page-main {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100vw;
    background-color: #f8f9fa;
}

.main-container {
    box-sizing: border-box;
    display: flex;
    height: 100vh;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.info-box {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 32px;
}

.info-box__icon {
    width: 96px;
    height: 96px;
    min-width: 96px;
    min-height: 96px;
}

.info-box__icon.big {
    width: 120px;
    height: 120px;
    min-width: 120px;
    min-height: 120px;
}

.info-box__desc {
    font-weight: 700;
    line-height: 48px;
}

.info-box__desc p {
    font-size: 30px;
    white-space: nowrap;
}

@media (min-width: 1920px) {
    .main-container {
        width: 640px;
    }

    .info-box {
        gap: 32px;
    }
}

@media (min-width: 768px) and (max-width: 1919px) {
    .main-container {
        width: 460px;
    }

    .info-box {
        gap: 32px;
    }
}

@media (min-width: 360px) and (max-width: 767px) {
    .main-container {
        width: 320px;
    }

    .info-box__desc {
        font-weight: 700;
    }

    .info-box__desc p {
        font-size: 20px;
        line-height: 36px;
        word-break: auto-phrase;
    }

    .info-box {
        gap: 20px;
    }
}

@media (max-width: 359px) {
    .main-container {
        width: 100%;
    }

    .info-box__desc {
        font-weight: 700;
    }

    .info-box__desc p {
        font-size: 20px;
        line-height: 36px;
    }
}
